## gnome-do-plugins 0.8.1.3+dfsg

=== BundledLibraries/libgoogle-data-mono-1.4.0.2/Makefile ===
CSC1 ?= mcs
CSC ?= gmcs

DEFINES=/d:TRACE

VERSION=$(shell egrep AssemblyVersion version/AssemblyVersion.cs | egrep -o \([[:digit:]]\.\)+[[:digit:]]+)
PREFIX=/usr/local

CORELIBS=\
	Google.GData.Client.dll		\
	Google.GData.Extensions.dll 	

ACLLIBS=\
	Google.GData.Client.dll		\
	Google.GData.Extensions.dll 	\
	Google.GData.AccessControl.dll


ALLLIBS = \
	Google.GData.Calendar.dll	\
	Google.GData.Client.dll		\
	Google.GData.CodeSearch.dll	\
	Google.GData.Extensions.dll	\
	Google.GData.GoogleBase.dll	\
	Google.GData.Spreadsheets.dll	\
	Google.GData.Apps.dll		\
	Google.GData.Photos.dll		\
	Google.GData.Documents.dll 	\
	Google.GData.AccessControl.dll 	\
	Google.GData.Contacts.dll	\
	Google.GData.YouTube.dll	\
	Google.GData.Health.dll \
	Google.GData.Blogger.dll \

FRAMEWORK_REFS = -r:System.dll -r:System.Xml.dll -r:System.Web.dll -r:System.Configuration.dll

PKGCONFIG_FILES = $(patsubst %.pc.in,%.pc,$(wildcard misc/*.pc.in))

COREREFS = $(addprefix -r:,$(CORELIBS)) $(FRAMEWORK_REFS) 
ALLREFS = $(addprefix -r:,$(ALLLIBS)) $(FRAMEWORK_REFS)
ACLREFS = $(addprefix -r:,$(ACLLIBS)) $(FRAMEWORK_REFS)


samples =	\
	gbase_queryexample.exe 		\
	gbase_customertool.exe		\
	execrequest.exe			\
	gapps_appsdemo.exe \
	gapps_migration_sample.exe \
	gblogger_demo.exe \
	gcal_demo.exe \
	gspreadsheet_demo.exe \
	PhotoTool.exe \
	HealthTool.exe \

all: $(ALLLIBS) tests $(samples) $(PKGCONFIG_FILES)

core_sources = $(wildcard src/core/*.cs) $(wildcard version/*.cs)
extensions_sources = $(wildcard src/extensions/*.cs) $(wildcard version/*.cs)
gbase_sources = $(wildcard src/gbase/*.cs) $(wildcard version/*.cs)
gcodesearch_sources = $(wildcard src/gcodesearch/*.cs) $(wildcard version/*.cs)
gspreadsheet_sources = $(wildcard src/gspreadsheet/*.cs) $(wildcard version/*.cs)
gcalendar_sources =  $(wildcard src/gcalendar/*.cs) $(wildcard version/*.cs)
gacl_sources = $(wildcard src/gacl/*.cs) $(wildcard version/*.cs)
gapps_sources = $(wildcard src/gapps/*.cs) $(wildcard version/*.cs)
gphotos_sources = $(wildcard src/gphotos/*.cs) $(wildcard version/*.cs)
gdocuments_sources = $(wildcard src/gdocuments/*.cs) $(wildcard version/*.cs)
gcontact_sources = $(wildcard src/gcontacts/*.cs) $(wildcard version/*.cs)
youtube_sources = $(wildcard src/youtube/*.cs) $(wildcard version/*.cs)
health_sources = $(wildcard src/ghealth/*.cs) $(wildcard version/*.cs)
blogger_sources = $(wildcard src/blogger/*.cs) $(wildcard version/*.cs)
test_sources = $(wildcard src/unittests/*.cs) $(wildcard src/unittests/gbase/*.cs) $(wildcard src/unittests/gapps/*.cs)\
				 $(wildcard src/unittests/spreadsheets/*.cs) $(wildcard src/unittests/youtube/*.cs)  $(wildcard src/version/*cs)\
				 $(wildcard src/unittests/core/*.cs)  $(wildcard src/unittests/picasa/*.cs)

Google.GData.Client.dll: $(core_sources) src/core/clientkey.sn
	$(CSC) $(DEFINES) -target:library -out:$@ $(core_sources) $(FRAMEWORK_REFS) -keyfile:src/core/clientkey.sn

Google.GData.Extensions.dll: Google.GData.Client.dll $(extension_sources) src/extensions/extensionkey.sn
	$(CSC) $(DEFINES) -target:library -out:$@ -r:Google.GData.Client.dll $(extensions_sources) $(FRAMEWORK_REFS) -keyfile:src/extensions/extensionkey.sn

Google.GData.Calendar.dll: $(ACLLIBS) $(gcalendar_sources) src/gcalendar/calendarkey.sn
	$(CSC) -target:library -out:$@ $(ACLREFS) $(gcalendar_sources) -keyfile:src/gcalendar/calendarkey.sn

Google.GData.CodeSearch.dll: $(CORELIBS) $(gcodesearch_sources) src/gcodesearch/codesearch.sn
	$(CSC) -target:library -out:$@ $(COREREFS) $(gcodesearch_sources) -keyfile:src/gcodesearch/codesearch.sn

Google.GData.GoogleBase.dll: $(CORELIBS) $(gbase_sources) src/gbase/gbase.sn
	$(CSC) -target:library -out:$@ $(COREREFS) $(gbase_sources) -keyfile:src/gbase/gbase.sn

Google.GData.Spreadsheets.dll: $(CORELIBS) $(gspreadsheet_sources) src/gspreadsheet/spreadsheets.sn
	$(CSC) -target:library -out:$@ $(COREREFS) $(gspreadsheet_sources) -keyfile:src/gspreadsheet/spreadsheets.sn

Google.GData.AccessControl.dll: $(CORELIBS) $(gacl_sources) src/gacl/gacl.sn
	$(CSC) -target:library -out:$@ $(COREREFS) $(gacl_sources) -keyfile:src/gacl/gacl.sn

Google.GData.Apps.dll: $(CORELIBS) $(gapps_sources) src/gapps/gapps.sn
	$(CSC) -target:library -out:$@ $(COREREFS) $(gapps_sources) -keyfile:src/gapps/gapps.sn

Google.GData.Photos.dll: $(CORELIBS) $(gphotos_sources) src/gphotos/picasa.sn
	$(CSC) $(DEFINES) -target:library -out:$@ $(COREREFS) $(gphotos_sources) -keyfile:src/gphotos/picasa.sn

Google.GData.Documents.dll: $(ACLLIBS) $(gdocuments_sources) src/gdocuments/documents.sn
	$(CSC) $(DEFINES) -target:library -out:$@ $(ACLREFS) $(gdocuments_sources) -keyfile:src/gdocuments/documents.sn

Google.GData.Contacts.dll: $(CORELIBS) $(gcontact_sources) src/gcontacts/contacts.sn
	$(CSC) $(DEFINES) -target:library -out:$@ $(COREREFS) $(gcontact_sources) -keyfile:src/gcontacts/contacts.sn

Google.GData.YouTube.dll: $(CORELIBS) $(youtube_sources) src/youtube/youtube.sn
	$(CSC) $(DEFINES) -target:library -out:$@ $(COREREFS) $(youtube_sources) -keyfile:src/youtube/youtube.sn

Google.GData.Health.dll: $(CORELIBS) $(health_sources) src/ghealth/ghealth.sn
	$(CSC) $(DEFINES) -target:library -out:$@ $(COREREFS) $(health_sources) -keyfile:src/ghealth/ghealth.sn

Google.GData.Blogger.dll: $(CORELIBS) $(blogger_sources) src/blogger/blogger.sn
	$(CSC) $(DEFINES) -target:library -out:$@ $(COREREFS) $(blogger_sources) -keyfile:src/blogger/blogger.sn

clean:
	-rm *.sn *.dll *exe $(PKGCONFIG_FILES)

install: all
	for i in $(ALLLIBS); do gacutil -i $$i -package GData-Sharp -root "$(DESTDIR)$(PREFIX)/lib"; done
	install -d "$(DESTDIR)$(PREFIX)/lib/pkgconfig"
	install -m 644 -t "$(DESTDIR)$(PREFIX)/lib/pkgconfig" $(PKGCONFIG_FILES) 

uninstall:
	for i in $(ALLLIBS); do gacutil -u $$i -package GData-Sharp -root "$(DESTDIR)$(PREFIX)/lib"; done
	for i in $(PKGCONFIG_FILES) ; do rm "$(DESTDIR)$(PREFIX)/lib/pkgconfig/$$i" ; done

tests: $(ALLLIBS)
	$(CSC) $(DEFINES) -target:library -out:unittests.dll $(ALLREFS) -pkg:nunit-2.4 $(test_sources)

gbase_customertool_sources = samples/gbase/example.cs \
	samples/gbase/customertool.cs	\
	samples/gbase/commands.cs

gbase_customertool.exe: $(ALLLIBS) $(gbase_customertool_sources)
	$(CSC) -out:$@ $(ALLREFS) $(gbase_customertool_sources)

gbase_queryexample_sources = samples/gbase/example.cs samples/gbase/queryexample.cs
gbase_queryexample.exe: $(ALLLIBS) $(gbase_queryexample_sources)
	$(CSC) -out:$@ $(ALLREFS) $(gbase_queryexample_sources)

gapps_sample_sources = samples/appsforyourdomain/appsdemo.cs
gapps_appsdemo.exe: $(ALLLIBS) $(gapps_sample_sources)
	$(CSC) -out:$@ $(ALLREFS) $(gapps_sample_sources)

gapps_migration_sample_sources = samples/appsforyourdomain/migration/migrationsample.cs
gapps_migration_sample.exe: $(ALLLIBS) $(gapps_migration_sample_sources)
	$(CSC) -out:$@ $(ALLREFS) $(gapps_migration_sample_sources)

execrequest_sources = $(wildcard samples/execrequest/*.cs)
execrequest.exe: $(ALLLIBS) $(execrequest_sources)
	$(CSC) -out:$@ $(ALLREFS) $(execrequest_sources)

gblogger_sample_sources = samples/blogger/ConsoleSample.cs
gblogger_demo.exe: $(ALLLIBS) $(gblogger_sample_sources)
	$(CSC) -out:$@ $(ALLREFS) $(gblogger_sample_sources)

gcal_demo_sources = samples/calendar/console/CalendarDemo.cs
gcal_demo.exe: $(ALLLIBS) $(gcal_demo_sources)
	$(CSC) -out:$@ $(ALLREFS) $(gcal_demo_sources)

gspreadsheet_demo_sources = samples/spreadsheets/spreadsheetdemo.cs
gspreadsheet_demo.exe: $(ALLLIBS) $(gspreadsheet_demo_sources)
	$(CSC) -out:$@ $(ALLREFS) $(gspreadsheet_demo_sources)

PhotoTool_sources = $(wildcard samples/PhotoBrowser/*.cs)
PhotoTool.exe: $(ALLLIBS) $(PhotoTool_sources)
	$(CSC) -out:$@ $(ALLREFS) -r:System.Windows.Forms -r:System.Drawing -r:System.Data $(PhotoTool_sources)
	
healthtool_sources = $(wildcard samples/health/*.cs)
HealthTool.exe: $(ALLLIBS) $(healthtool_sources)
	$(CSC) -out:$@ $(ALLREFS) $(healthtool_sources)



test:
	nunit-console2 unittests.dll

%.pc : %.pc.in
	sed "s,\@VERSION\@,$(VERSION),g; s,\@prefix\@,$(PREFIX),g" < $< > $@

## gnome-do-plugins 0.8.4

=== debian/changelog ===
gnome-do-plugins (0.8.4-5) unstable; urgency=low

  * Team upload
  * Rebuild for gdata-sharp 2.1.0.0
  * [d49ef4b] Bump Standards-Version to 3.9.3

 -- Chow Loong Jin <hyperair@debian.org>  Tue, 05 Jun 2012 02:25:53 +0800

gnome-do-plugins (0.8.4-4) unstable; urgency=low

  * Team upload
  * Rebuild for CLR 4.0 transition
  * [538c431] Move to 3.0 (quilt) format
  * [fdfdbe0] No-change Standards-Version bump (3.9.1 → 3.9.2)

 -- Chow Loong Jin <hyperair@debian.org>  Thu, 19 Jan 2012 14:52:14 +0800

gnome-do-plugins (0.8.4-3) unstable; urgency=low

  * No-change rebuild for new gdata-sharp ABI (Closes: #652842) 

 -- Iain Lane <laney@debian.org>  Sat, 24 Dec 2011 11:23:12 +0000

gnome-do-plugins (0.8.4-2) unstable; urgency=low

  * [fad2401] Add 02_select_correct_banshee_dbus_implementation.patch.
    Fixes the detection of when to use dbus-sharp instead of ndesk.dbus, which
    was causing do-plugins to FTBFS in sid. (Closes: #634433)

 -- Christopher James Halse Rogers <raof@ubuntu.com>  Mon, 29 Aug 2011 10:12:46 +0100

gnome-do-plugins (0.8.4-1) unstable; urgency=low

  [ Iain Lane ]
  * Update to use my d.o email address

  [ Christopher James Halse Rogers ]
  * Imported Upstream version 0.8.4
  * Drop 02_gdata_1.7_compatibility.diff; fixed upstream
  * Bump gnome-do depends versioning to 0.8.5 for new plugin APIs
  * Add --enable-release configure flag; upstream's build system is fixed now.
  * Use ‘--with cli’ in rules to avoid warning spam
  * Remove mention of long-dead Evolution plugin from package description.
    (LP: 682228)
  * Add dllmap files for WindowManager and XRandR plugins

 -- Christopher James Halse Rogers <raof@ubuntu.com>  Thu, 16 Jun 2011 22:06:56 +1000

gnome-do-plugins (0.8.3-1) unstable; urgency=low

  * It came from the deep! New upstream release
  * debian/rules:
    - Now 100% dfsg-free; drop get-orig-source logic
    - Drop autoreconf-ing; we no longer need to patch the build system.
    - Add “--with” quilt to actually apply the patches.
    - Delete *.addin.xml files on clean; these are autogenerated files which
      shouldn't be in the tarball, and they clutter the debian diff.
    - Upstream buildsystem no longer fails without unused mautil.  Drop it from
      configure.
  * debian/patches/00_debian_default_plugins.patch:
    - Refresh for new upstream version.
  * debian/patches/02_fix_firefox_icon.patch:
    - Drop; fixed in more generality upstream.
  * debian/control:
    - Bump runtime and build-depends on gnome-do to 0.8.4.
    - Add libdbus1.0-cil-dev and libdbus-glib1.0-cil-dev to Build-Depends for
      Empathy plugin.
    - Bump Standards-Version; no changes required.
    - Transition VCS-* fields to git
  * debian/patches/02_gdata_1.7_compatibility.diff:
    - Drop address field from the GMail contacts plugin; this API changed in
      gdata .NET 1.7, and needs fixing upstream

 -- Christopher James Halse Rogers <raof@ubuntu.com>  Mon, 21 Feb 2011 22:31:09 +1100

gnome-do-plugins (0.8.2.1+dfsg-2) unstable; urgency=low

  [ Christopher James Halse Rogers ]
  * debian/control:
    + Drop slocate from gnome-do-plugins Recommends: this package is only
      in oldstable (Closes: #565656).
    + Update build-depends for -cil-dev transition.
  * debian/rules:
    + Pass fake MAUTIL=/bin/true to configure.  mautil has moved to the
      mono-addins-utils package, so now isn't pulled in by 
      libmono-addins-cil-dev.  The build system doesn't actually *use* mautil,
      and hasn't for a couple of releases.  Upstream's buildsystem maintainer
      should perhaps pay more attention ;).
  * debian/patches/02_fix_firefox_icon.patch
    + Use the unversioned "firefox" icon name.  Both Iceweasel in Sid and 
      Firefox 3.6 in Lucid ship this icon. (Closes: #544075) (LP: #444171)

  [ Jo Shields ]
  * debian/control:
    + No-change bump to Standards 3.8.4
    + Update mono-devel build-dep to 2.4.3
    + Remove superfluous build-deps on individual mono libs

 -- Christopher James Halse Rogers <raof@ubuntu.com>  Sat, 30 Jan 2010 17:18:47 +1100

gnome-do-plugins (0.8.2.1+dfsg-1) unstable; urgency=low

  [ Iain Lane ]
  * New upstream release 0.8.2.1
   - Correctly find Banshee indexer
   - Fix firefox leak on Mono < 2.4 (LP: #381064)
   - Close SSH hosts file after reading
   - Session plugin now works on devicekit-disks (LP: #410079)
  * 02_fix_banshee_plugin.dpatch: Drop, no longer required. Errors will be
    shown on console if Banshee is not installed but these are non-fatal.
  * rules, control: Use mono-csc 
  * debian/rules, debian/*.install: Update dh7isation to be more standard.
    install files no longer required as dh_auto_* takes care of this perfectly
  * debian/rules, debian/control: Use quilt as patchsys - refresh patches to
    take this into account
  * debian/control: Drop gnome-do-plugin-evolution as this cannot be built due
    to our evolution-sharp being uninstallable and unfixable. Sorry. It will
    be back as soon as possible.
  * debian/control: Depend on libflickrnet -dev package as part of the new
    world order

  [ Jo Shields ]
  * debian/rules:
   - Make get-orig-source rule deterministic

 -- Iain Lane <laney@ubuntu.com>  Wed, 18 Nov 2009 17:01:01 +0000

gnome-do-plugins (0.8.2+dfsg-2) unstable; urgency=low

  * debian/control: Update libflickrnet build dependency for 2.2.0 transition
    (Closes: #543804)
  * debian/control: Bump standards-version, no changes
  * debian/control: Increase debhelper minimum version (thanks Lintian)

 -- Iain Lane <laney@ubuntu.com>  Tue, 08 Sep 2009 15:01:20 +0100

gnome-do-plugins (0.8.2+dfsg-1) unstable; urgency=low

  * New upstream release
    + Pidgin plugin now supports initial text for messages (LP: #338608)
    + Pidgin plugin opens conversations on the correct IM network (LP: #370965)
  * debian/rules:
    + Update get-orig-source target.  Upstream no longer ships gdata* binaries,
      so we no longer need to strip them
  * debian/patches/00_use_system_gdata


=== debian/control ===
Source: gnome-do-plugins
Section: gnome
Priority: optional
Maintainer: Debian CLI Applications Team <pkg-cli-apps-team@lists.alioth.debian.org>
Uploaders: Christopher James Halse Rogers <raof@ubuntu.com>, Colin Turner <ct@piglets.com>, Iain Lane <laney@debian.org>
Build-Depends: debhelper (>= 7.0.50~),
  cli-common-dev (>= 0.5.7)
Build-Depends-Indep:
  mono-devel (>= 2.4.3),
  autotools-dev,
  automake,
  dh-autoreconf,
  gnome-do (>= 0.8.5),
  banshee (>= 1.4.2),
  pkg-config,
  intltool,
  libtool,
  libglib2.0-dev,
  libflickrnet-cil-dev,
  libglib2.0-cil-dev,
  libgtk2.0-cil-dev,
  libglade2.0-cil-dev,
  libgnome-keyring1.0-cil-dev,
  libgnomedesktop2.0-cil-dev,
  libgconf2.0-cil-dev,
  libgnome2.0-cil-dev,
  libgnome-vfs2.0-cil-dev,
  libmono-addins-cil-dev,
  libmono-addins-gui-cil-dev,
  libndesk-dbus1.0-cil-dev,
  libndesk-dbus-glib1.0-cil-dev,
  libnotify-cil-dev,
  libwnck1.0-cil-dev,
  libgdata-cil-dev,
  libdbus1.0-cil-dev,
  libdbus-glib1.0-cil-dev,
Standards-Version: 3.9.3
Homepage: http://do.davebsd.com
Vcs-Git: git://git.debian.org/pkg-cli-apps/packages/gnome-do-plugins.git
Vcs-Browser: http://git.debian.org/?p=pkg-cli-apps/packages/gnome-do-plugins.git;a=summary

Package: gnome-do-plugins
Architecture: all
Depends: ${cli:Depends}, 
         ${misc:Depends},
         gnome-do (>= 0.8.5)
Recommends: mlocate | locate
Conflicts: gnome-do-plugin-amarok, gnome-do-plugin-rhythmbox
Replaces: gnome-do-plugin-amarok, gnome-do-plugin-rhythmbox
Suggests: banshee,
  epiphany-browser,
  iceweasel | firefox,
  pidgin,
  rhythmbox
Description: Extra functionality for GNOME Do
 This package provides extra plugins for GNOME Do.  It includes plugins for
 interacting with GMail & Thunderbird contacts, Pidgin IM buddies,
 searching the Web using Firefox search plugins, and more.

=== debian/watch ===
version=3

opts=dversionmangle=s/\+dfsg(\d)*$// \
https://launchpad.net/do-plugins/+download http://launchpad.net/do-plugins/.*/.*/\+download/gnome-do-plugins-(.*).tar.gz

## gnome-do-plugins 0.8.5

=== debian/changelog ===
gnome-do-plugins (0.8.5-4) unstable; urgency=medium

  * [76f7b70] Drop Flickr plugin as it fails to authenticate.
  * [a8446ca] Drop WindowManager plugin. (Closes: 798874)
  * [cd192c0] Update Homepage field
  * [8aff48b] Mark as Built-Using: banshee
  * [3c36fa0] Bump Standards-Version now that we correctly set Built-Using

 -- Christopher James Halse Rogers <raof@ubuntu.com>  Thu, 12 Nov 2015 10:59:34 +0000

gnome-do-plugins (0.8.5-3) unstable; urgency=medium

  * Team upload
  * [d045ddb] Reexport patches using gbp-pq
  * [28ce61e] Drop outdated urls (Closes: #738195)

 -- Chow Loong Jin <hyperair@debian.org>  Tue, 18 Nov 2014 10:15:09 +0800

gnome-do-plugins (0.8.5-2) unstable; urgency=low

  * [9ce0e96] Use DBus# 2.0 API.

 -- Jo Shields <directhex@apebox.org>  Thu, 09 Jan 2014 10:18:50 +0000

gnome-do-plugins (0.8.5-1) unstable; urgency=low

  * Fix watch file
  * Imported Upstream version 0.8.5
    + New upstream fixes FTBFS with Mono 3.0 (Closes: #713077)
  * Drop DLLMap config files for WindowManager and XRandR plugins, now shipped upstream.
  * Drop dh_auto_clean override; upstream no longer ships generated files
  * Drop 02_select_correct_banshee_dbus_implementation.patch; fixed upstream.
  * Add libnewtonsoft-json-cil-dev to Bulid-Depends for new Transmission plugin

 -- Christopher James Halse Rogers <raof@ubuntu.com>  Tue, 15 Oct 2013 21:43:20 +1100

=== debian/control ===
--- 
+++ 
@@ -16,26 +16,22 @@
   intltool,
   libtool,
   libglib2.0-dev,
-  libflickrnet-cil-dev,
   libglib2.0-cil-dev,
   libgtk2.0-cil-dev,
   libglade2.0-cil-dev,
   libgnome-keyring1.0-cil-dev,
-  libgnomedesktop2.0-cil-dev,
   libgconf2.0-cil-dev,
   libgnome2.0-cil-dev,
   libgnome-vfs2.0-cil-dev,
   libmono-addins-cil-dev,
   libmono-addins-gui-cil-dev,
-  libndesk-dbus1.0-cil-dev,
-  libndesk-dbus-glib1.0-cil-dev,
+  libdbus2.0-cil-dev,
+  libdbus-glib2.0-cil-dev,
   libnotify-cil-dev,
-  libwnck1.0-cil-dev,
   libgdata-cil-dev,
-  libdbus1.0-cil-dev,
-  libdbus-glib1.0-cil-dev,
-Standards-Version: 3.9.3
-Homepage: http://do.davebsd.com
+  libnewtonsoft-json-cil-dev,
+Standards-Version: 3.9.6
+Homepage: http://do.cooperteam.net
 Vcs-Git: git://git.debian.org/pkg-cli-apps/packages/gnome-do-plugins.git
 Vcs-Browser: http://git.debian.org/?p=pkg-cli-apps/packages/gnome-do-plugins.git;a=summary
 
@@ -52,6 +48,7 @@
   iceweasel | firefox,
   pidgin,
   rhythmbox
+Built-Using: banshee (= ${banshee:Version})
 Description: Extra functionality for GNOME Do
  This package provides extra plugins for GNOME Do.  It includes plugins for
  interacting with GMail & Thunderbird contacts, Pidgin IM buddies,

=== debian/rules ===
#!/usr/bin/make -f
#
# Rules file for gnome-do-plugins
#

#export DH_VERBOSE=1

override_dh_auto_configure:
	dh_auto_configure -- --enable-release DMCS=/usr/bin/mono-csc

override_dh_install:
	dh_install --fail-missing

override_dh_gencontrol:
	# Populate the relevant versions for Built-Using
	echo "banshee:Version=$$(dpkg-query --show --showformat=$$\{Version\} banshee)" >> debian/gnome-do-plugins.substvars

	dh_gencontrol

%:
	dh --with cli,autoreconf $@

=== debian/watch ===
version=3

opts=dversionmangle=s/\+dfsg(\d)*$// \
https://launchpad.net/do-plugins/+download https://launchpad.net/do-plugins/.*/.*/\+download/gnome-do-plugins-(.*).tar.gz
